#ifndef __VFOLDERPARSER_H__
#define __VFOLDERPARSER_H__ 1
#include <qxml.h>
#include "vfolder.h"
#include "desktopfile.h"
namespace VFolder {
	class XmlErrorHandler:public QXmlErrorHandler
	{
	public:
		bool warning(const QXmlParseException &exception);
		bool error(const QXmlParseException &exception);
		bool fatalError(const QXmlParseException &exception);
		QString errorString();
	};

	class VFolderParser:public QXmlDefaultHandler
	{
	public:
		VFolderParser(DesktopFiles *d, VFolderEntry *r);
		bool	startDocument();
		bool	startElement(QString const &nspace, QString const &localName, QString const &name, QXmlAttributes const &attr);
		bool	endElement(QString const &nspace, QString const &localName, QString const &name);
		bool	characters(QString const &ch);
	private:
		enum State { parsingFolder, parsingQuery, parsingAndQuery, parsingOrQuery } state;
		bool		_not;
		VFolderEntry	*current;
		DesktopFiles	*desktop;
		QString		content;
		QStringList	keywords;
	};
}
#endif
